View Issue Details

IDProjectCategoryView StatusLast Update
0032574LazarusIDEpublic2017-10-20 17:33
ReporterMax V. Terentiev Assigned ToJuha Manninen  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinuxOSCentOS x64 
Product Version1.8RC5 
Summary0032574: Bad spacing in Project options->FPDocEditor
DescriptionAdd path, Remove Path buttons drawn incorrectly
Steps To ReproduceSee attached screenshot
TagsNo tags attached.
Fixed in Revisionr56136
LazTarget-
WidgetsetGTK 2
Attached Files

Activities

Max V. Terentiev

2017-10-18 01:13

reporter  

FpDocEditor.jpg (59,856 bytes)   
FpDocEditor.jpg (59,856 bytes)   

Juha Manninen

2017-10-18 16:38

developer   ~0103562

Your screenshot cannot be from 1.8RC5. The anchoring was fixed and improved in r53460 at 2016-11-25 which is well before 1.8 branch was forked.
The "Add path" and "Remove path" buttons are above the DirectoryEdit control. In your screenshot they are below it.
Please do a clean build. Sometimes if only an .lfm file changes, the IDE + compiler do not notice it. You must either touch the Pascal file or build clean.

Max V. Terentiev

2017-10-18 19:05

reporter  

FpDocEditor1.jpg (203,061 bytes)   
FpDocEditor1.jpg (203,061 bytes)   

Max V. Terentiev

2017-10-18 19:06

reporter   ~0103567

I sure it's 1.8RC5 ! I install it on fresh CentOS (no previous Lazarus version has been installed).

I perform cleanup & build IDE. But same problem. Attached screenshot where you see 1.8 RC5 at IDE caption.

Phemtik

2017-10-19 10:02

reporter   ~0103585

I checked this on my system and this problem exists under 1.8 and even on trunk @r56132.

System: fedora 26, fpc 3.1.1.

Juha Manninen

2017-10-19 10:31

developer   ~0103587

Oops, your screenshot is from project options. I was looking at environment options. They both have settings for FPDoc Editor.
Should it be in 2 places? I don't know.

Juha Manninen

2017-10-20 17:33

developer   ~0103610

Fixed, please test.

Issue History

Date Modified Username Field Change
2017-10-18 01:13 Max V. Terentiev New Issue
2017-10-18 01:13 Max V. Terentiev File Added: FpDocEditor.jpg
2017-10-18 16:31 Juha Manninen Assigned To => Juha Manninen
2017-10-18 16:31 Juha Manninen Status new => assigned
2017-10-18 16:38 Juha Manninen LazTarget => -
2017-10-18 16:38 Juha Manninen Note Added: 0103562
2017-10-18 16:38 Juha Manninen Status assigned => feedback
2017-10-18 19:05 Max V. Terentiev File Added: FpDocEditor1.jpg
2017-10-18 19:06 Max V. Terentiev Note Added: 0103567
2017-10-18 19:06 Max V. Terentiev Status feedback => assigned
2017-10-19 10:02 Phemtik Note Added: 0103585
2017-10-19 10:31 Juha Manninen Note Added: 0103587
2017-10-20 17:33 Juha Manninen Fixed in Revision => r56136
2017-10-20 17:33 Juha Manninen Note Added: 0103610
2017-10-20 17:33 Juha Manninen Status assigned => resolved
2017-10-20 17:33 Juha Manninen Resolution open => fixed